Description

According to the examples [1] [2] as well as the puppet-foreman_proxy module [3], the configuration (dns_key, dns_server) for the

nsupdate DNS provider is expected to be put in the settings.d/dns_nsupdate.yml file. Unfortunately, with the version I'm testing on

(foreman-proxy 1.9.1 on FreeBSD) the configuration in this file is ignored and I have to put the configuration for nsupdate in the

settings.d/dns.yml file instead.

Result with configuration in settings.d/dns_nsupdate.yml:

D, [2015-12-11T01:21:22.198596 #2465] DEBUG -- : running /usr/local/bin/nsupdate 

D, [2015-12-11T01:21:22.200416 #2465] DEBUG -- : nsupdate: executed - server localhost

=> parameters dns_key and dns_server ignored    

Result with configuration in settings.d/dns.yml:

D, [2015-12-11T01:26:18.687920 #2521] DEBUG -- : running /usr/local/bin/nsupdate -k /usr/local/etc

/namedb/rndc.key 

D, [2015-12-11T01:26:18.689874 #2521] DEBUG -- : nsupdate: executed - server dns-server.example.co

m

=> parameters dns_key and dns_server accepted    

Is this already fixed for 1.10 or is this just a documentation issue?

Sorry I don't have access to the newest version ATM.

[1] https://github.com/theforeman/smart-proxy/blob/develop/config/settings.d/dns.yml.example

[2] https://github.com/theforeman/smart-proxy/blob/develop/config/settings.d/dns_nsupdate.yml.example

[3] https://github.com/theforeman/puppet-foreman_proxy/blob/master/templates/dns_nsupdate.yml.erb#L6-L8

History

#1 - 12/11/2015 03:24 AM - Dominic Cleal

- Status changed from New to Feedback

This is a difference between 1.9 and 1.10.  dns_nsupdate.yml etc are files that are only in 1.10, while in 1.9 you should use dns.yml only.  The

example link you gave is for the develop (1.11) branch, but if you check 1.9-stable then it's as you'd expect:

https://github.com/theforeman/smart-proxy/blob/1.9-stable/config/settings.d/dns.yml.example

Also see the manual as it's correct for each version:

http://theforeman.org/manuals/1.9/index.html#4.3.5DNS

For the foreman_proxy module, it has a dns_split_config_files parameter to configure the older 1.9 config files: 

https://github.com/theforeman/puppet-foreman_proxy#compatibility.  See its dns.yml template: 

https://github.com/theforeman/puppet-foreman_proxy/blob/master/templates/dns.yml.erb#L10-L14
#2 - 12/13/2015 06:26 PM - Frank Wall

- Status changed from Feedback to Closed

- Assignee set to Frank Wall

@Dominic: D'oh! Thanks for your time and this thorough explanation.
